Index: sdl-game.hpp
===================================================================
--- sdl-game.hpp	(revision a3cefaa6294c97206ade08805f4ff1b8c13d2d4e)
+++ sdl-game.hpp	(revision 1abebc104018213f499c401642d6470cdfa7af9a)
@@ -79,5 +79,5 @@
 // has a VkBuffer, VkDeviceMemory, and VkDescriptorBufferInfo
 // TODO: Maybe change the structure here since VkDescriptorBufferInfo already stores a reference to the VkBuffer
-struct StorageBufferSet {
+struct BufferSet {
    vector<VkBuffer> buffers;
    vector<VkDeviceMemory> memory;
@@ -220,5 +220,5 @@
       GraphicsPipeline_Vulkan<ModelVertex> modelPipeline;
 
-      StorageBufferSet storageBuffers_modelPipeline;
+      BufferSet storageBuffers_modelPipeline;
       VulkanBuffer<SSBO_ModelObject> objects_modelPipeline;
 
@@ -299,10 +299,10 @@
       // TODO: Remove the need for templating, which is only there so a GraphicsPupeline_Vulkan can be passed in
       template<class VertexType, class SSBOType>
-      void resizeStorageBufferSet(StorageBufferSet& set, VulkanBuffer<SSBOType>& buffer,
-                                  GraphicsPipeline_Vulkan<VertexType>& pipeline,
-                                  VkCommandPool commandPool, VkQueue graphicsQueue);
+      void resizeBufferSet(BufferSet& set, VulkanBuffer<SSBOType>& buffer,
+                           GraphicsPipeline_Vulkan<VertexType>& pipeline, VkCommandPool commandPool,
+                           VkQueue graphicsQueue);
 
       template<class SSBOType>
-      void updateStorageBuffer(StorageBufferSet& storageBufferSet, size_t objIndex, SSBOType& ssbo);
+      void updateBufferSet(BufferSet& set, size_t objIndex, SSBOType& ssbo);
 
       // TODO: Since addObject() returns a reference to the new object now,
@@ -312,5 +312,5 @@
                                                    GraphicsPipeline_Vulkan<VertexType>& pipeline,
                                                    const vector<VertexType>& vertices, vector<uint16_t> indices,
-                                                   SSBOType ssbo, StorageBufferSet& storageBuffers);
+                                                   SSBOType ssbo);
 
       template<class VertexType>
@@ -324,6 +324,5 @@
 
       template<class VertexType, class SSBOType>
-      void updateObject(vector<SceneObject<VertexType, SSBOType>>& objects,
-                        GraphicsPipeline_Vulkan<VertexType>& pipeline, size_t index);
+      void updateObject(SceneObject<VertexType, SSBOType>& obj);
 
       void renderFrame(ImDrawData* draw_data);
@@ -347,7 +346,7 @@
 
 template<class VertexType, class SSBOType>
-void VulkanGame::resizeStorageBufferSet(StorageBufferSet& set, VulkanBuffer<SSBOType>& buffer,
-                                        GraphicsPipeline_Vulkan<VertexType>& pipeline,
-                                        VkCommandPool commandPool, VkQueue graphicsQueue) {
+void VulkanGame::resizeBufferSet(BufferSet& set, VulkanBuffer<SSBOType>& buffer,
+                                 GraphicsPipeline_Vulkan<VertexType>& pipeline, VkCommandPool commandPool,
+                                 VkQueue graphicsQueue) {
    size_t numObjects = buffer.numObjects < buffer.capacity ? buffer.numObjects : buffer.capacity;
 
@@ -388,7 +387,7 @@
 // TODO: See if it makes sense to pass in the current swapchain index instead of updating all of them
 template<class SSBOType>
-void VulkanGame::updateStorageBuffer(StorageBufferSet& storageBufferSet, size_t objIndex, SSBOType& ssbo) {
-   for (size_t i = 0; i < storageBufferSet.memory.size(); i++) {
-      VulkanUtils::copyDataToMemory(device, ssbo, storageBufferSet.memory[i], objIndex * sizeof(SSBOType));
+void VulkanGame::updateBufferSet(BufferSet& set, size_t objIndex, SSBOType& ssbo) {
+   for (size_t i = 0; i < set.memory.size(); i++) {
+      VulkanUtils::copyDataToMemory(device, ssbo, set.memory[i], objIndex * sizeof(SSBOType));
    }
 }
@@ -401,5 +400,5 @@
                                                          GraphicsPipeline_Vulkan<VertexType>& pipeline,
                                                          const vector<VertexType>& vertices, vector<uint16_t> indices,
-                                                         SSBOType ssbo, StorageBufferSet& storageBuffers) {
+                                                         SSBOType ssbo) {
    // TODO: Use the model field of ssbo to set the object's model_base
    // currently, the passed in model is useless since it gets overridden in updateObject() anyway
@@ -504,8 +503,5 @@
 // TODO: Just pass in the single object instead of a list of all of them
 template<class VertexType, class SSBOType>
-void VulkanGame::updateObject(vector<SceneObject<VertexType, SSBOType>>& objects,
-                              GraphicsPipeline_Vulkan<VertexType>& pipeline, size_t index) {
-   SceneObject<VertexType, SSBOType>& obj = objects[index];
-
+void VulkanGame::updateObject(SceneObject<VertexType, SSBOType>& obj) {
    obj.ssbo.model = obj.model_transform * obj.model_base;
    obj.center = vec3(obj.ssbo.model * vec4(0.0f, 0.0f, 0.0f, 1.0f));
